package cn.iocoder.yudao.module.identity.convert.businessrule;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.businessrule.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.businessrule.BusinessRuleDO;

/**
 * 码规则 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface BusinessRuleConvert {

    BusinessRuleConvert INSTANCE = Mappers.getMapper(BusinessRuleConvert.class);

    BusinessRuleDO convert(BusinessRuleCreateReqVO bean);

    BusinessRuleDO convert(BusinessRuleUpdateReqVO bean);

    BusinessRuleRespVO convert(BusinessRuleDO bean);

    List<BusinessRuleRespVO> convertList(List<BusinessRuleDO> list);

    PageResult<BusinessRuleRespVO> convertPage(PageResult<BusinessRuleDO> page);

    List<BusinessRuleExcelVO> convertList02(List<BusinessRuleDO> list);

}
